<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:xi="http://www.w3.org/2001/XInclude"
>
   	<xsl:param name="title" select="'title'" />
        <xsl:param name="CSSFile" select="'CSSFile'"/>
        <xsl:param name="skin" select="''"/>
        <xsl:param name="defaultskin" select="'skin1.xml'"/>
        <xsl:param name="local"/>
        <xsl:param name="webres"/>
        <xsl:variable name="respath">
            <xsl:choose>
                    <xsl:when test="$local='true'">xml/skins/</xsl:when>
                    <xsl:otherwise><xsl:value-of select="$webres"/>/skins/</xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="actualskin">
            <xsl:choose>
                    <xsl:when test="$skin != ''">
                        <xsl:value-of select="$skin"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="$defaultskin"/>
                    </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
       
	<!-- Elements lies au document -->
	<xsl:template match="*">
	<MDREP skinname="{$actualskin}">
		<TITLE><xsl:value-of select="$title"/></TITLE>
		<CSSFILE><xsl:value-of select="$CSSFile"/></CSSFILE>
        <xi:include href="{$respath}{$actualskin}"/>
	</MDREP>
        <!--div class="debug">DEBUG : skin = <xsl:value-of select="$skin"/></div-->
	</xsl:template>
	
</xsl:stylesheet>

