<?xml version="1.0" encoding="iso-8859-1" ?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:i18n="http://apache.org/cocoon/i18n/2.1">

  <xsl:param name="contextPath"/>
  <xsl:param name="type"/>
  <xsl:param name="uri"/>
  <xsl:param name="extra-infos"/>
  <xsl:param name="skin"/>
  <xsl:param name="cas_url"/>
  <xsl:param name="base_url"/>
  <xsl:param name="baselink"/>
  <!-- let sitemap override default page title -->
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <i18n:text>Forbidden Access</i18n:text>	
        </title>
        <style type="text/css" media="all">@import "<xsl:value-of select="concat($baselink, 'skin-esup1.css')"/>";</style>
        <script src="{$contextPath}/scripts/main.js" type="text/javascript"/>
      </head>
      <body>
        <div id="iDocRender">
        	<h2><i18n:text>Forbidden Access</i18n:text></h2>
	        <p><i18n:text>You are attempting to access private area</i18n:text> : <xsl:value-of select="$uri"/> </p>
			<p>
			 	<i18n:text>In order to access a private area, you have to</i18n:text>&#160;
			 	<a href="{$baselink}auth?path={$uri}">
		 			 <i18n:text>log in</i18n:text>
			 	</a> 
    	    </p>
    	 </div>   
      </body>
    </html>
  </xsl:template>

 

</xsl:stylesheet>
