<?xml version="1.0" encoding="UTF-8"?>   
<!--
	Main aggregator for inJAC navigation rendering
	Changes :
    2/2/2005 : retrait de Doc2HTML qui est traité dans le pipeline de la sitemap TestDoc
-->


<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
							  xmlns:i18n="http://apache.org/cocoon/i18n/2.1"	>
	
    <xsl:output method="html" encoding="ISO-8859-1" omit-xml-declaration="no"/>
   	<!--xsl:include href="Doc2html.xsl" /-->
   	<xsl:include href="Header2html.xsl" />
	<xsl:include href="Navgen2html.xsl" />
	<xsl:include href="Tools2html.xsl" />
	<xsl:include href="rss2html.xsl" />
	<!--  <xsl:include href="liusresults2html.xsl" />
	-->
	<xsl:include href="results2html.xsl" />
    <xsl:include href="footer2html.xsl" />
	<xsl:param name ="cssfile"/>
    <xsl:param name="path"/>
	<xsl:param name="file"/>
	<xsl:param name="localURI" /> 
	<xsl:param name="cocoonURI"/>
	<xsl:param name="logoutURL"/>
	<xsl:param name="baselink" select="''"/>
	
	<xsl:template match="/page">
      	<html xsl:exclude-result-prefixes="i18n">
        	<head>
			<xsl:call-template name="MDREP" />
			<title>INJAC</title>
        	</head>
		<body>
			<div id="page">
				<xsl:apply-templates select="MDREP/skin/header"/>
	            <div id="menu">
		            <xsl:apply-templates select="injacNavBar"/>
		            <div id="sectionMenu">
			            <xsl:apply-templates select="injacNavPan"/>
			            <xsl:apply-templates select="MDREP/skin/tools"/>
			        </div>    
	            </div>
    	        <xsl:apply-templates select="injacDoc|results|advsearch"/>
                <xsl:apply-templates select="MDREP/skin/footer"/> 
            </div>
        </body> 
      	</html>
   	</xsl:template>
<!-- espace IDocRender -->    
    <!-- document -->     
	<xsl:template match="injacDoc">
        <xsl:copy-of select="./*"/>
    </xsl:template>
	<!-- advanced search -->
    <xsl:template match="advsearch">
        <div id="iDocRender"><xsl:copy-of select="./*"/></div>
    </xsl:template>
	
	<!-- espace IDocRender END -->     
	<xsl:template name="MDREP">
		<style type="text/css" media="all">@import "<xsl:value-of select="$baselink"/><xsl:value-of select="substring-before(/page/MDREP/@skinname, 'xml')"/>css";</style>
        <!-- optional second css file from webdav metadatas -->
        <xsl:if test="/page/MDREP/CSSFILE != ''">
                        <style type="text/css" media="all">@import "<xsl:value-of select="$baselink"/><xsl:value-of select="/page/MDREP/CSSFILE"/>";</style>
		</xsl:if>
	</xsl:template>
	
	
</xsl:stylesheet>

